If Not True Then False

Install Adobe Reader on Fedora 27, CentOS/RHEL 7.4/6.9 - Comment Page: 6

This is guide shows, howto install Adobe Reader (Acrobat PDF Reader) current version 9.5.5 RPM on Fedora 27, CentOS 7.4/6.9, Red Hat (RHEL) 7.4/6.9. This method works both 32-bit and 64-bit architectures. Note: Before it was possible install Adobe Reader using YUM, but currently there is not Adobe Reader in their 32-bit repo, so here is updated installation guide to get Adobe Reader working. 1....
Categories:

191 Comments

Leave a Comment

Your email address will not be published. Required fields are marked *

Input your comment.
help

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

Input your name.

Fabrizio

Are there any chances to have highlight functionality (and all the other “text-editing” functionality)??

reply Reply
Shawn

I have followed the directions in the guide but each time I try to run acroread I get an error.

(acroread:17290): Gtk-WARNING **: Unable to locate theme engine in module_path: “adwaita”,

(acroread:17290): Gtk-WARNING **: Unable to locate theme engine in module_path: “adwaita”,
Gtk-Message: Failed to load module “pk-gtk-module”
Gtk-Message: Failed to load module “canberra-gtk-module”
Acroread was unable to create the directory .adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/XXXXXX/.adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/XXXXXX/.adobe in your home directory.
There may be a permission problem with the parent directory.
Fontconfig error: “/home/XXXXXX/.config/fontconfig/fonts.conf”, line 1: XML or text declaration not at start of entity
Acroread was unable to create the directory /home/XXXXXX/.adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/XXXXXX/.adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/XXXXXX/.adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/XXXXXX/.adobe in your home directory.
There may be a permission problem with the parent directory.

And a pop-up:
An internal error has occurred

I’ve searched google and can’t find an answer that fits. My permissions seem fine. And I’ve even tried setting .adobe to 777 and still no joy. My home directory is on a larger partition (4TB) but it’s ext4 formatted not XFS

Any thoughts?

Thanks

reply Reply
JR

Hi Shawn,

Could you post output of following commands:


ls -lad /home

ls -lad /home/XXXXX
reply Reply
tarjeik

This didn’t work for me initially. When running with strace it crashes because libnss_sss.so.2 is not found.

This fixed the problem (I’m on x86_64):

dnf install sssd-client.i686

reply Reply
JR

Hi tarjeik,

Thanks! I will recheck this guide, but yes it looks like that the sssd-client.i686 is not installed any other package dependency.

reply Reply
Hunter

I followed the instructions to install Adobe Reader on Centos 7. However, I got the following error message when I run $acroread “An internal error ocurred”.

$acroread

(acroread:9007): Gtk-WARNING **: Unable to locate theme engine in module_path: “oxygen-gtk”,

(acroread:9007): Gtk-WARNING **: Unable to locate theme engine in module_path: “oxygen-gtk”,
Acroread was unable to create the directory .adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/user/.adobe in your home directory.
There may be a permission problem with the parent directory.
Acroread was unable to create the directory /home/user/.adobe in your home directory.
There may be a permission problem with the parent directory

Do you have any suggestions to solve this problem?

reply Reply
JR

Hi Hunter,

Could you post output of following commands (as normal user):


ls -lad /home

ls -lad /home/user

ls -lad /home/user/.adobe
reply Reply
Sanjukta

Hello,
I have tried everything, but still not able to install Adobe Reader. I am using CentOS Linux release 7.1.1503 (Core). Can anybody help me ?

reply Reply
JR

Hi Sanjukta,

Could you post errors what you get when you try install Adobe Reader?

reply Reply
Thommy M.

Here’s a nice outcome of this instruction.

[root@leia Downloads]# ls -lrt AdbeRdr9.5.5-1_i486linux_enu.rpm
-rw-r–r–. 1 root root 60118961 May 10 2013 AdbeRdr9.5.5-1_i486linux_enu.rpm
[root@leia Downloads]# dnf install AdbeRdr9.5.5-1_i486linux_enu.rpm
Last metadata expiration check performed 0:31:49 ago on Thu Mar 3 21:38:27 2016.
Dependencies resolved.
================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
AdobeReader_enu i486 9.5.5-1 @commandline 57 M
atk i686 2.18.0-1.fc23 fedora 259 k
audit-libs i686 2.4.5-1.fc23 updates 97 k
avahi-libs i686 0.6.32-0.4.rc.fc23 updates 62 k
bzip2-libs i686 1.0.6-19.fc23 updates 46 k
cairo i686 1.14.2-2.fc23 fedora 754 k
cracklib i686 2.9.1-6.fc23 fedora 85 k
cups-libs i686 1:2.1.3-1.fc23 updates 402 k
dbus-libs i686 1:1.10.6-1.fc23 updates 176 k
elfutils-libelf i686 0.165-2.fc23 updates 218 k
elfutils-libs i686 0.165-2.fc23 updates 298 k
expat i686 2.1.0-12.fc23 fedora 91 k
fontconfig i686 2.11.94-4.fc23 fedora 247 k
freetype i686 2.6.0-3.fc23 fedora 416 k
gdk-pixbuf2 i686 2.32.3-1.fc23 updates 447 k
gdk-pixbuf2-modules i686 2.32.3-1.fc23 updates 97 k
gdk-pixbuf2-xlib i686 2.32.3-1.fc23 updates 50 k
gdk-pixbuf2-xlib x86_64 2.32.3-1.fc23 updates 49 k
glib2 i686 2.46.2-1.fc23 updates 2.3 M
glibc i686 2.22-10.fc23 updates 4.3 M
gmp i686 1:6.0.0-12.fc23 fedora 424 k
gnutls i686 3.4.9-1.fc23 updates 646 k
graphite2 i686 1.3.6-1.fc23 updates 117 k
gtk2 i686 2.24.29-1.fc23 updates 3.4 M
harfbuzz i686 1.0.6-1.fc23 updates 182 k
jasper-libs i686 1.900.1-31.fc23 fedora 151 k
jbigkit-libs i686 2.1-4.fc23 fedora 51 k
keyutils-libs i686 1.5.9-7.fc23 fedora 45 k
krb5-libs i686 1.14-9.fc23 updates 857 k
libICE i686 1.0.9-3.fc23 fedora 70 k
libSM i686 1.2.2-3.fc23 fedora 44 k
libX11 i686 1.6.3-2.fc23 fedora 616 k
libXau i686 1.0.8-5.fc23 fedora 34 k
libXcomposite i686 0.4.4-7.fc23 fedora 27 k
libXcursor i686 1.1.14-4.fc23 fedora 34 k
libXdamage i686 1.1.4-7.fc23 fedora 25 k
libXext i686 1.3.3-3.fc23 fedora 43 k
libXfixes i686 5.0.1-5.fc23 fedora 22 k
libXft i686 2.3.2-3.fc23 fedora 62 k
libXi i686 1.7.6-1.fc23 updates 46 k
libXinerama i686 1.1.3-5.fc23 fedora 18 k
libXrandr i686 1.5.0-2.fc23 fedora 31 k
libXrender i686 0.9.9-2.fc23 fedora 30 k
libXt i686 1.1.5-2.fc23 fedora 174 k
libXxf86vm i686 1.1.4-2.fc23 fedora 22 k
libacl i686 2.2.52-10.fc23 fedora 32 k
libattr i686 2.4.47-14.fc23 fedora 24 k
libcap i686 2.24-8.fc23 fedora 53 k
libcom_err i686 1.42.13-3.fc23 fedora 45 k
libdatrie i686 0.2.8-6.fc23 fedora 32 k
libdb i686 5.3.28-13.fc23 fedora 763 k
libdrm i686 2.4.66-1.fc23 updates 152 k
libffi i686 3.1-8.fc23 fedora 34 k
libgcc i686 5.3.1-2.fc23 updates 97 k
libgcrypt i686 1.6.4-1.fc23 fedora 352 k
libgpg-error i686 1.21-1.fc23 updates 156 k
libidn i686 1.32-1.fc23 fedora 234 k
libjpeg-turbo i686 1.4.1-2.fc23 fedora 157 k
libpciaccess i686 0.13.4-2.fc23 fedora 32 k
libpng i686 2:1.6.19-2.fc23 updates 124 k
libseccomp i686 2.2.3-0.fc23 fedora 53 k
libselinux i686 2.4-4.fc23 fedora 148 k
libstdc++ i686 5.3.1-2.fc23 updates 450 k
libtasn1 i686 4.5-2.fc23 fedora 327 k
libthai i686 0.1.21-2.fc23 fedora 193 k
libtiff i686 4.0.4-1.fc23 fedora 179 k
libuuid i686 2.27.1-2.fc23 updates 80 k
libverto i686 0.2.6-5.fc23 fedora 21 k
libwayland-client i686 1.9.0-1.fc23 fedora 32 k
libwayland-server i686 1.9.0-1.fc23 fedora 37 k
libxcb i686 1.11.1-1.fc23 updates 206 k
libxml2 i686 2.9.3-2.fc23 updates 691 k
libxshmfence i686 1.2-2.fc23 fedora 11 k
mesa-libEGL i686 11.1.0-2.20151218.fc23 updates 109 k
mesa-libGL i686 11.1.0-2.20151218.fc23 updates 216 k
mesa-libGLU i686 9.0.0-9.fc23 fedora 183 k
mesa-libgbm i686 11.1.0-2.20151218.fc23 updates 57 k
mesa-libglapi i686 11.1.0-2.20151218.fc23 updates 81 k
nettle i686 3.2-1.fc23 updates 326 k
nss-softokn-freebl i686 3.22.2-1.0.fc23 updates 197 k
openssl-libs i686 1:1.0.2f-1.fc23 updates 998 k
p11-kit i686 0.23.2-1.fc23 updates 149 k
pam i686 1.2.1-2.fc23 fedora 734 k
pango i686 1.38.1-1.fc23 fedora 284 k
pangox-compat i686 0.0.2-6.fc23 fedora 61 k
pangox-compat x86_64 0.0.2-6.fc23 fedora 61 k
pcre i686 8.38-6.fc23 updates 504 k
pixman i686 0.34.0-1.fc23 updates 261 k
systemd-libs i686 222-14.fc23 updates 493 k
xz-libs i686 5.2.1-3.fc23 fedora 97 k
zlib i686 1.2.8-9.fc23 fedora 98 k
Upgrading:
graphite2 x86_64 1.3.6-1.fc23 updates 115 k
nss-softokn-freebl x86_64 3.22.2-1.0.fc23 updates 208 k
pcre x86_64 8.38-6.fc23 updates 495 k

Transaction Summary
================================================================================
Install 91 Packages
Upgrade 3 Packages

Total size: 85 M
Total download size: 28 M
Is this ok [y/N]: y
Downloading Packages:
(1/93): graphite2-1.3.5-1.fc23_1.3.6-1.fc23.x86 306 kB/s | 37 kB 00:00
(2/93): nss-softokn-freebl-3.22.0-1.0.fc23_3.22 274 kB/s | 34 kB 00:00
(3/93): pcre-8.38-5.fc23_8.38-6.fc23.x86_64.drp 434 kB/s | 58 kB 00:00
(4/93): atk-2.18.0-1.fc23.i686.rpm 2.0 MB/s | 259 kB 00:00
(5/93): fontconfig-2.11.94-4.fc23.i686.rpm 1.8 MB/s | 247 kB 00:00
(6/93): libX11-1.6.3-2.fc23.i686.rpm 3.2 MB/s | 616 kB 00:00
(7/93): libXext-1.3.3-3.fc23.i686.rpm 633 kB/s | 43 kB 00:00
(8/93): libXt-1.1.5-2.fc23.i686.rpm 1.6 MB/s | 174 kB 00:00
(9/93): libidn-1.32-1.fc23.i686.rpm 3.3 MB/s | 234 kB 00:00
(10/93): mesa-libGLU-9.0.0-9.fc23.i686.rpm 1.6 MB/s | 183 kB 00:00
(11/93): pango-1.38.1-1.fc23.i686.rpm 3.0 MB/s | 284 kB 00:00
(12/93): pangox-compat-0.0.2-6.fc23.i686.rpm 833 kB/s | 61 kB 00:00
(13/93): zlib-1.2.8-9.fc23.i686.rpm 1.0 MB/s | 98 kB 00:00
(14/93): expat-2.1.0-12.fc23.i686.rpm 1.4 MB/s | 91 kB 00:00
(15/93): libICE-1.0.9-3.fc23.i686.rpm 1.0 MB/s | 70 kB 00:00
(16/93): libSM-1.2.2-3.fc23.i686.rpm 687 kB/s | 44 kB 00:00
(17/93): freetype-2.6.0-3.fc23.i686.rpm 4.3 MB/s | 416 kB 00:00
(18/93): cairo-1.14.2-2.fc23.i686.rpm 5.3 MB/s | 754 kB 00:00
(19/93): libXft-2.3.2-3.fc23.i686.rpm 767 kB/s | 62 kB 00:00
(20/93): libXrender-0.9.9-2.fc23.i686.rpm 284 kB/s | 30 kB 00:00
(21/93): pangox-compat-0.0.2-6.fc23.x86_64.rpm 950 kB/s | 61 kB 00:00
(22/93): libthai-0.1.21-2.fc23.i686.rpm 1.8 MB/s | 193 kB 00:00
(23/93): libselinux-2.4-4.fc23.i686.rpm 2.7 MB/s | 148 kB 00:00
(24/93): libdatrie-0.2.8-6.fc23.i686.rpm 528 kB/s | 32 kB 00:00
(25/93): pcre-8.38-6.fc23.i686.rpm 9.7 MB/s | 504 kB 00:00
(26/93): pixman-0.34.0-1.fc23.i686.rpm 5.5 MB/s | 261 kB 00:00
(27/93): bzip2-libs-1.0.6-19.fc23.i686.rpm 960 kB/s | 46 kB 00:00
(28/93): gdk-pixbuf2-xlib-2.32.3-1.fc23.x86_64. 890 kB/s | 49 kB 00:00
(29/93): gdk-pixbuf2-xlib-2.32.3-1.fc23.i686.rp 759 kB/s | 50 kB 00:00
(30/93): gdk-pixbuf2-2.32.3-1.fc23.i686.rpm 5.2 MB/s | 447 kB 00:00
(31/93): libffi-3.1-8.fc23.i686.rpm 477 kB/s | 34 kB 00:00
(32/93): glib2-2.46.2-1.fc23.i686.rpm 15 MB/s | 2.3 MB 00:00
(33/93): gdk-pixbuf2-modules-2.32.3-1.fc23.i686 1.7 MB/s | 97 kB 00:00
(34/93): gtk2-2.24.29-1.fc23.i686.rpm 18 MB/s | 3.4 MB 00:00
(35/93): cups-libs-2.1.3-1.fc23.i686.rpm 5.9 MB/s | 402 kB 00:00
(36/93): libXcomposite-0.4.4-7.fc23.i686.rpm 435 kB/s | 27 kB 00:00
(37/93): libXcursor-1.1.14-4.fc23.i686.rpm 593 kB/s | 34 kB 00:00
(38/93): glibc-2.22-10.fc23.i686.rpm 11 MB/s | 4.3 MB 00:00
(39/93): libXdamage-1.1.4-7.fc23.i686.rpm 305 kB/s | 25 kB 00:00
(40/93): libXfixes-5.0.1-5.fc23.i686.rpm 283 kB/s | 22 kB 00:00
(41/93): libXinerama-1.1.3-5.fc23.i686.rpm 304 kB/s | 18 kB 00:00
(42/93): jasper-libs-1.900.1-31.fc23.i686.rpm 1.8 MB/s | 151 kB 00:00
(43/93): libXrandr-1.5.0-2.fc23.i686.rpm 368 kB/s | 31 kB 00:00
(44/93): libjpeg-turbo-1.4.1-2.fc23.i686.rpm 1.9 MB/s | 157 kB 00:00
(45/93): audit-libs-2.4.5-1.fc23.i686.rpm 1.5 MB/s | 97 kB 00:00
(46/93): libtiff-4.0.4-1.fc23.i686.rpm 1.6 MB/s | 179 kB 00:00
(47/93): avahi-libs-0.6.32-0.4.rc.fc23.i686.rpm 1.2 MB/s | 62 kB 00:00
(48/93): gnutls-3.4.9-1.fc23.i686.rpm 6.0 MB/s | 646 kB 00:00
(49/93): libcom_err-1.42.13-3.fc23.i686.rpm 704 kB/s | 45 kB 00:00
(50/93): jbigkit-libs-2.1-4.fc23.i686.rpm 810 kB/s | 51 kB 00:00
(51/93): gmp-6.0.0-12.fc23.i686.rpm 6.6 MB/s | 424 kB 00:00
(52/93): dbus-libs-1.10.6-1.fc23.i686.rpm 2.5 MB/s | 176 kB 00:00
(53/93): libtasn1-4.5-2.fc23.i686.rpm 4.6 MB/s | 327 kB 00:00
(54/93): elfutils-libs-0.165-2.fc23.i686.rpm 5.4 MB/s | 298 kB 00:00
(55/93): systemd-libs-222-14.fc23.i686.rpm 6.8 MB/s | 493 kB 00:00
(56/93): libacl-2.2.52-10.fc23.i686.rpm 499 kB/s | 32 kB 00:00
(57/93): libcap-2.24-8.fc23.i686.rpm 703 kB/s | 53 kB 00:00
(58/93): libseccomp-2.2.3-0.fc23.i686.rpm 850 kB/s | 53 kB 00:00
(59/93): libgcrypt-1.6.4-1.fc23.i686.rpm 3.0 MB/s | 352 kB 00:00
(60/93): pam-1.2.1-2.fc23.i686.rpm 9.5 MB/s | 734 kB 00:00
(61/93): xz-libs-5.2.1-3.fc23.i686.rpm 1.2 MB/s | 97 kB 00:00
(62/93): elfutils-libelf-0.165-2.fc23.i686.rpm 2.3 MB/s | 218 kB 00:00
(63/93): libattr-2.4.47-14.fc23.i686.rpm 340 kB/s | 24 kB 00:00
(64/93): cracklib-2.9.1-6.fc23.i686.rpm 665 kB/s | 85 kB 00:00
(65/93): harfbuzz-1.0.6-1.fc23.i686.rpm 2.1 MB/s | 182 kB 00:00
(66/93): libdb-5.3.28-13.fc23.i686.rpm 7.0 MB/s | 763 kB 00:00
(67/93): graphite2-1.3.6-1.fc23.i686.rpm 1.4 MB/s | 117 kB 00:00
(68/93): krb5-libs-1.14-9.fc23.i686.rpm 8.3 MB/s | 857 kB 00:00
(69/93): libverto-0.2.6-5.fc23.i686.rpm 447 kB/s | 21 kB 00:00
(70/93): keyutils-libs-1.5.9-7.fc23.i686.rpm 509 kB/s | 45 kB 00:00
(71/93): libgpg-error-1.21-1.fc23.i686.rpm 3.6 MB/s | 156 kB 00:00
(72/93): libgcc-5.3.1-2.fc23.i686.rpm 1.9 MB/s | 97 kB 00:00
(73/93): libXi-1.7.6-1.fc23.i686.rpm 399 kB/s | 46 kB 00:00
(74/93): libstdc++-5.3.1-2.fc23.i686.rpm 4.7 MB/s | 450 kB 00:00
(75/93): libpng-1.6.19-2.fc23.i686.rpm 1.2 MB/s | 124 kB 00:00
(76/93): libuuid-2.27.1-2.fc23.i686.rpm 1.0 MB/s | 80 kB 00:00
(77/93): libxcb-1.11.1-1.fc23.i686.rpm 2.4 MB/s | 206 kB 00:00
(78/93): libXau-1.0.8-5.fc23.i686.rpm 406 kB/s | 34 kB 00:00
(79/93): nss-softokn-freebl-3.22.2-1.0.fc23.i68 2.7 MB/s | 197 kB 00:00
(80/93): mesa-libEGL-11.1.0-2.20151218.fc23.i68 1.8 MB/s | 109 kB 00:00
(81/93): libxml2-2.9.3-2.fc23.i686.rpm 8.1 MB/s | 691 kB 00:00
(82/93): libdrm-2.4.66-1.fc23.i686.rpm 3.0 MB/s | 152 kB 00:00
(83/93): libwayland-client-1.9.0-1.fc23.i686.rp 528 kB/s | 32 kB 00:00
(84/93): libwayland-server-1.9.0-1.fc23.i686.rp 882 kB/s | 37 kB 00:00
(85/93): libxshmfence-1.2-2.fc23.i686.rpm 132 kB/s | 11 kB 00:00
(86/93): libpciaccess-0.13.4-2.fc23.i686.rpm 591 kB/s | 32 kB 00:00
(87/93): mesa-libgbm-11.1.0-2.20151218.fc23.i68 1.4 MB/s | 57 kB 00:00
(88/93): mesa-libGL-11.1.0-2.20151218.fc23.i686 1.8 MB/s | 216 kB 00:00
(89/93): libXxf86vm-1.1.4-2.fc23.i686.rpm 314 kB/s | 22 kB 00:00
(90/93): mesa-libglapi-11.1.0-2.20151218.fc23.i 1.0 MB/s | 81 kB 00:00
(91/93): nettle-3.2-1.fc23.i686.rpm 4.1 MB/s | 326 kB 00:00
(92/93): openssl-libs-1.0.2f-1.fc23.i686.rpm 8.5 MB/s | 998 kB 00:00
(93/93): p11-kit-0.23.2-1.fc23.i686.rpm 2.4 MB/s | 149 kB 00:00
[DRPM] graphite2-1.3.5-1.fc23_1.3.6-1.fc23.x86_64.drpm: done
[DRPM] nss-softokn-freebl-3.22.0-1.0.fc23_3.22.2-1.0.fc23.x86_64.drpm: done
[DRPM] pcre-8.38-5.fc23_8.38-6.fc23.x86_64.drpm: done
——————————————————————————–
Total 5.2 MB/s | 27 MB 00:05
Delta RPMs reduced 27.5 MB of updates to 26.8 MB (2.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
Installing : libgcc-5.3.1-2.fc23.i686 1/97
Installing : nss-softokn-freebl-3.22.2-1.0.fc23.i686 2/97
Installing : glibc-2.22-10.fc23.i686 3/97
Upgrading : pcre-8.38-6.fc23.x86_64 4/97
Installing : pangox-compat-0.0.2-6.fc23.x86_64 5/97
Installing : gdk-pixbuf2-xlib-2.32.3-1.fc23.x86_64 6/97
Upgrading : graphite2-1.3.6-1.fc23.x86_64 7/97
Upgrading : nss-softokn-freebl-3.22.2-1.0.fc23.x86_64 8/97
Installing : zlib-1.2.8-9.fc23.i686 9/97
Installing : libstdc++-5.3.1-2.fc23.i686 10/97
Installing : libpng-2:1.6.19-2.fc23.i686 11/97
Installing : expat-2.1.0-12.fc23.i686 12/97
Installing : libffi-3.1-8.fc23.i686 13/97
Installing : libidn-1.32-1.fc23.i686 14/97
Installing : libjpeg-turbo-1.4.1-2.fc23.i686 15/97
Installing : libcom_err-1.42.13-3.fc23.i686 16/97
Installing : xz-libs-5.2.1-3.fc23.i686 17/97
Installing : libwayland-client-1.9.0-1.fc23.i686 18/97
Installing : libwayland-server-1.9.0-1.fc23.i686 19/97
Installing : gmp-1:6.0.0-12.fc23.i686 20/97
Installing : libICE-1.0.9-3.fc23.i686 21/97
Installing : bzip2-libs-1.0.6-19.fc23.i686 22/97
Installing : freetype-2.6.0-3.fc23.i686 23/97
Installing : fontconfig-2.11.94-4.fc23.i686 24/97
Installing : audit-libs-2.4.5-1.fc23.i686 25/97
Installing : libattr-2.4.47-14.fc23.i686 26/97
Installing : libgpg-error-1.21-1.fc23.i686 27/97
Installing : libxshmfence-1.2-2.fc23.i686 28/97
Installing : libgcrypt-1.6.4-1.fc23.i686 29/97
Installing : libacl-2.2.52-10.fc23.i686 30/97
Installing : libcap-2.24-8.fc23.i686 31/97
Installing : nettle-3.2-1.fc23.i686 32/97
Installing : libxml2-2.9.3-2.fc23.i686 33/97
Installing : jasper-libs-1.900.1-31.fc23.i686 34/97
Installing : p11-kit-0.23.2-1.fc23.i686 35/97
Installing : pcre-8.38-6.fc23.i686 36/97
Installing : libselinux-2.4-4.fc23.i686 37/97
Installing : glib2-2.46.2-1.fc23.i686 38/97
Installing : gdk-pixbuf2-2.32.3-1.fc23.i686 39/97
Installing : atk-2.18.0-1.fc23.i686 40/97
Installing : mesa-libglapi-11.1.0-2.20151218.fc23.i686 41/97
Installing : graphite2-1.3.6-1.fc23.i686 42/97
Installing : harfbuzz-1.0.6-1.fc23.i686 43/97
Installing : elfutils-libelf-0.165-2.fc23.i686 44/97
Installing : elfutils-libs-0.165-2.fc23.i686 45/97
Installing : cracklib-2.9.1-6.fc23.i686 46/97
Installing : libdatrie-0.2.8-6.fc23.i686 47/97
Installing : libthai-0.1.21-2.fc23.i686 48/97
Installing : pixman-0.34.0-1.fc23.i686 49/97
Installing : jbigkit-libs-2.1-4.fc23.i686 50/97
Installing : libtiff-4.0.4-1.fc23.i686 51/97
Installing : gdk-pixbuf2-modules-2.32.3-1.fc23.i686 52/97
Installing : libtasn1-4.5-2.fc23.i686 53/97
Installing : gnutls-3.4.9-1.fc23.i686 54/97
Installing : libseccomp-2.2.3-0.fc23.i686 55/97
Installing : libdb-5.3.28-13.fc23.i686 56/97
Installing : pam-1.2.1-2.fc23.i686 57/97
Installing : systemd-libs-222-14.fc23.i686 58/97
Installing : dbus-libs-1:1.10.6-1.fc23.i686 59/97
Installing : avahi-libs-0.6.32-0.4.rc.fc23.i686 60/97
Installing : keyutils-libs-1.5.9-7.fc23.i686 61/97
Installing : libverto-0.2.6-5.fc23.i686 62/97
Installing : krb5-libs-1.14-9.fc23.i686 63/97
Installing : openssl-libs-1:1.0.2f-1.fc23.i686 64/97
Installing : cups-libs-1:2.1.3-1.fc23.i686 65/97
Installing : libuuid-2.27.1-2.fc23.i686 66/97
Installing : libSM-1.2.2-3.fc23.i686 67/97
Installing : libXau-1.0.8-5.fc23.i686 68/97
Installing : libxcb-1.11.1-1.fc23.i686 69/97
Installing : libX11-1.6.3-2.fc23.i686 70/97
Installing : libXext-1.3.3-3.fc23.i686 71/97
Installing : libXrender-0.9.9-2.fc23.i686 72/97
Installing : libXfixes-5.0.1-5.fc23.i686 73/97
Installing : libXdamage-1.1.4-7.fc23.i686 74/97
Installing : libXcursor-1.1.14-4.fc23.i686 75/97
Installing : libXft-2.3.2-3.fc23.i686 76/97
Installing : libXrandr-1.5.0-2.fc23.i686 77/97
Installing : libXinerama-1.1.3-5.fc23.i686 78/97
Installing : libXi-1.7.6-1.fc23.i686 79/97
Installing : libXxf86vm-1.1.4-2.fc23.i686 80/97
Installing : libXt-1.1.5-2.fc23.i686 81/97
Installing : gdk-pixbuf2-xlib-2.32.3-1.fc23.i686 82/97
Installing : libXcomposite-0.4.4-7.fc23.i686 83/97
Installing : libpciaccess-0.13.4-2.fc23.i686 84/97
Installing : libdrm-2.4.66-1.fc23.i686 85/97
Installing : mesa-libGL-11.1.0-2.20151218.fc23.i686 86/97
Installing : mesa-libGLU-9.0.0-9.fc23.i686 87/97
Installing : mesa-libgbm-11.1.0-2.20151218.fc23.i686 88/97
Installing : mesa-libEGL-11.1.0-2.20151218.fc23.i686 89/97
Installing : cairo-1.14.2-2.fc23.i686 90/97
Installing : pango-1.38.1-1.fc23.i686 91/97
Installing : pangox-compat-0.0.2-6.fc23.i686 92/97
Installing : gtk2-2.24.29-1.fc23.i686 93/97
Installing : AdobeReader_enu-9.5.5-1.i486 94/97
Cleanup : nss-softokn-freebl-3.22.0-1.0.fc23.x86_64 95/97
Cleanup : pcre-8.38-5.fc23.x86_64 96/97
Cleanup : graphite2-1.3.5-1.fc23.x86_64 97/97
Verifying : AdobeReader_enu-9.5.5-1.i486 1/97
Verifying : atk-2.18.0-1.fc23.i686 2/97
Verifying : fontconfig-2.11.94-4.fc23.i686 3/97
Verifying : libX11-1.6.3-2.fc23.i686 4/97
Verifying : libXext-1.3.3-3.fc23.i686 5/97
Verifying : libXt-1.1.5-2.fc23.i686 6/97
Verifying : libidn-1.32-1.fc23.i686 7/97
Verifying : mesa-libGLU-9.0.0-9.fc23.i686 8/97
Verifying : pango-1.38.1-1.fc23.i686 9/97
Verifying : pangox-compat-0.0.2-6.fc23.i686 10/97
Verifying : zlib-1.2.8-9.fc23.i686 11/97
Verifying : expat-2.1.0-12.fc23.i686 12/97
Verifying : libICE-1.0.9-3.fc23.i686 13/97
Verifying : libSM-1.2.2-3.fc23.i686 14/97
Verifying : cairo-1.14.2-2.fc23.i686 15/97
Verifying : freetype-2.6.0-3.fc23.i686 16/97
Verifying : libXft-2.3.2-3.fc23.i686 17/97
Verifying : libXrender-0.9.9-2.fc23.i686 18/97
Verifying : libthai-0.1.21-2.fc23.i686 19/97
Verifying : pangox-compat-0.0.2-6.fc23.x86_64 20/97
Verifying : libdatrie-0.2.8-6.fc23.i686 21/97
Verifying : libselinux-2.4-4.fc23.i686 22/97
Verifying : pcre-8.38-6.fc23.i686 23/97
Verifying : pixman-0.34.0-1.fc23.i686 24/97
Verifying : bzip2-libs-1.0.6-19.fc23.i686 25/97
Verifying : gdk-pixbuf2-2.32.3-1.fc23.i686 26/97
Verifying : gdk-pixbuf2-xlib-2.32.3-1.fc23.i686 27/97
Verifying : gdk-pixbuf2-xlib-2.32.3-1.fc23.x86_64 28/97
Verifying : glib2-2.46.2-1.fc23.i686 29/97
Verifying : libffi-3.1-8.fc23.i686 30/97
Verifying : glibc-2.22-10.fc23.i686 31/97
Verifying : gtk2-2.24.29-1.fc23.i686 32/97
Verifying : gdk-pixbuf2-modules-2.32.3-1.fc23.i686 33/97
Verifying : cups-libs-1:2.1.3-1.fc23.i686 34/97
Verifying : libXcomposite-0.4.4-7.fc23.i686 35/97
Verifying : libXcursor-1.1.14-4.fc23.i686 36/97
Verifying : libXdamage-1.1.4-7.fc23.i686 37/97
Verifying : libXfixes-5.0.1-5.fc23.i686 38/97
Verifying : libXinerama-1.1.3-5.fc23.i686 39/97
Verifying : libXrandr-1.5.0-2.fc23.i686 40/97
Verifying : jasper-libs-1.900.1-31.fc23.i686 41/97
Verifying : libjpeg-turbo-1.4.1-2.fc23.i686 42/97
Verifying : libtiff-4.0.4-1.fc23.i686 43/97
Verifying : audit-libs-2.4.5-1.fc23.i686 44/97
Verifying : avahi-libs-0.6.32-0.4.rc.fc23.i686 45/97
Verifying : gnutls-3.4.9-1.fc23.i686 46/97
Verifying : libcom_err-1.42.13-3.fc23.i686 47/97
Verifying : jbigkit-libs-2.1-4.fc23.i686 48/97
Verifying : dbus-libs-1:1.10.6-1.fc23.i686 49/97
Verifying : gmp-1:6.0.0-12.fc23.i686 50/97
Verifying : libtasn1-4.5-2.fc23.i686 51/97
Verifying : systemd-libs-222-14.fc23.i686 52/97
Verifying : elfutils-libs-0.165-2.fc23.i686 53/97
Verifying : libacl-2.2.52-10.fc23.i686 54/97
Verifying : libcap-2.24-8.fc23.i686 55/97
Verifying : libgcrypt-1.6.4-1.fc23.i686 56/97
Verifying : libseccomp-2.2.3-0.fc23.i686 57/97
Verifying : pam-1.2.1-2.fc23.i686 58/97
Verifying : xz-libs-5.2.1-3.fc23.i686 59/97
Verifying : elfutils-libelf-0.165-2.fc23.i686 60/97
Verifying : libattr-2.4.47-14.fc23.i686 61/97
Verifying : cracklib-2.9.1-6.fc23.i686 62/97
Verifying : libdb-5.3.28-13.fc23.i686 63/97
Verifying : harfbuzz-1.0.6-1.fc23.i686 64/97
Verifying : graphite2-1.3.6-1.fc23.i686 65/97
Verifying : krb5-libs-1.14-9.fc23.i686 66/97
Verifying : keyutils-libs-1.5.9-7.fc23.i686 67/97
Verifying : libverto-0.2.6-5.fc23.i686 68/97
Verifying : libXi-1.7.6-1.fc23.i686 69/97
Verifying : libgcc-5.3.1-2.fc23.i686 70/97
Verifying : libgpg-error-1.21-1.fc23.i686 71/97
Verifying : libpng-2:1.6.19-2.fc23.i686 72/97
Verifying : libstdc++-5.3.1-2.fc23.i686 73/97
Verifying : libuuid-2.27.1-2.fc23.i686 74/97
Verifying : libxcb-1.11.1-1.fc23.i686 75/97
Verifying : libXau-1.0.8-5.fc23.i686 76/97
Verifying : nss-softokn-freebl-3.22.2-1.0.fc23.i686 77/97
Verifying : libxml2-2.9.3-2.fc23.i686 78/97
Verifying : mesa-libEGL-11.1.0-2.20151218.fc23.i686 79/97
Verifying : libdrm-2.4.66-1.fc23.i686 80/97
Verifying : libwayland-client-1.9.0-1.fc23.i686 81/97
Verifying : libwayland-server-1.9.0-1.fc23.i686 82/97
Verifying : libxshmfence-1.2-2.fc23.i686 83/97
Verifying : libpciaccess-0.13.4-2.fc23.i686 84/97
Verifying : mesa-libGL-11.1.0-2.20151218.fc23.i686 85/97
Verifying : libXxf86vm-1.1.4-2.fc23.i686 86/97
Verifying : mesa-libgbm-11.1.0-2.20151218.fc23.i686 87/97
Verifying : mesa-libglapi-11.1.0-2.20151218.fc23.i686 88/97
Verifying : nettle-3.2-1.fc23.i686 89/97
Verifying : openssl-libs-1:1.0.2f-1.fc23.i686 90/97
Verifying : p11-kit-0.23.2-1.fc23.i686 91/97
Verifying : graphite2-1.3.6-1.fc23.x86_64 92/97
Verifying : pcre-8.38-6.fc23.x86_64 93/97
Verifying : nss-softokn-freebl-3.22.2-1.0.fc23.x86_64 94/97
Verifying : graphite2-1.3.5-1.fc23.x86_64 95/97
Verifying : pcre-8.38-5.fc23.x86_64 96/97
Verifying : nss-softokn-freebl-3.22.0-1.0.fc23.x86_64 97/97

Installed:
AdobeReader_enu.i486 9.5.5-1
atk.i686 2.18.0-1.fc23
audit-libs.i686 2.4.5-1.fc23
avahi-libs.i686 0.6.32-0.4.rc.fc23
bzip2-libs.i686 1.0.6-19.fc23
cairo.i686 1.14.2-2.fc23
cracklib.i686 2.9.1-6.fc23
cups-libs.i686 1:2.1.3-1.fc23
dbus-libs.i686 1:1.10.6-1.fc23
elfutils-libelf.i686 0.165-2.fc23
elfutils-libs.i686 0.165-2.fc23
expat.i686 2.1.0-12.fc23
fontconfig.i686 2.11.94-4.fc23
freetype.i686 2.6.0-3.fc23
gdk-pixbuf2.i686 2.32.3-1.fc23
gdk-pixbuf2-modules.i686 2.32.3-1.fc23
gdk-pixbuf2-xlib.i686 2.32.3-1.fc23
gdk-pixbuf2-xlib.x86_64 2.32.3-1.fc23
glib2.i686 2.46.2-1.fc23
glibc.i686 2.22-10.fc23
gmp.i686 1:6.0.0-12.fc23
gnutls.i686 3.4.9-1.fc23
graphite2.i686 1.3.6-1.fc23
gtk2.i686 2.24.29-1.fc23
harfbuzz.i686 1.0.6-1.fc23
jasper-libs.i686 1.900.1-31.fc23
jbigkit-libs.i686 2.1-4.fc23
keyutils-libs.i686 1.5.9-7.fc23
krb5-libs.i686 1.14-9.fc23
libICE.i686 1.0.9-3.fc23
libSM.i686 1.2.2-3.fc23
libX11.i686 1.6.3-2.fc23
libXau.i686 1.0.8-5.fc23
libXcomposite.i686 0.4.4-7.fc23
libXcursor.i686 1.1.14-4.fc23
libXdamage.i686 1.1.4-7.fc23
libXext.i686 1.3.3-3.fc23
libXfixes.i686 5.0.1-5.fc23
libXft.i686 2.3.2-3.fc23
libXi.i686 1.7.6-1.fc23
libXinerama.i686 1.1.3-5.fc23
libXrandr.i686 1.5.0-2.fc23
libXrender.i686 0.9.9-2.fc23
libXt.i686 1.1.5-2.fc23
libXxf86vm.i686 1.1.4-2.fc23
libacl.i686 2.2.52-10.fc23
libattr.i686 2.4.47-14.fc23
libcap.i686 2.24-8.fc23
libcom_err.i686 1.42.13-3.fc23
libdatrie.i686 0.2.8-6.fc23
libdb.i686 5.3.28-13.fc23
libdrm.i686 2.4.66-1.fc23
libffi.i686 3.1-8.fc23
libgcc.i686 5.3.1-2.fc23
libgcrypt.i686 1.6.4-1.fc23
libgpg-error.i686 1.21-1.fc23
libidn.i686 1.32-1.fc23
libjpeg-turbo.i686 1.4.1-2.fc23
libpciaccess.i686 0.13.4-2.fc23
libpng.i686 2:1.6.19-2.fc23
libseccomp.i686 2.2.3-0.fc23
libselinux.i686 2.4-4.fc23
libstdc++.i686 5.3.1-2.fc23
libtasn1.i686 4.5-2.fc23
libthai.i686 0.1.21-2.fc23
libtiff.i686 4.0.4-1.fc23
libuuid.i686 2.27.1-2.fc23
libverto.i686 0.2.6-5.fc23
libwayland-client.i686 1.9.0-1.fc23
libwayland-server.i686 1.9.0-1.fc23
libxcb.i686 1.11.1-1.fc23
libxml2.i686 2.9.3-2.fc23
libxshmfence.i686 1.2-2.fc23
mesa-libEGL.i686 11.1.0-2.20151218.fc23
mesa-libGL.i686 11.1.0-2.20151218.fc23
mesa-libGLU.i686 9.0.0-9.fc23
mesa-libgbm.i686 11.1.0-2.20151218.fc23
mesa-libglapi.i686 11.1.0-2.20151218.fc23
nettle.i686 3.2-1.fc23
nss-softokn-freebl.i686 3.22.2-1.0.fc23
openssl-libs.i686 1:1.0.2f-1.fc23
p11-kit.i686 0.23.2-1.fc23
pam.i686 1.2.1-2.fc23
pango.i686 1.38.1-1.fc23
pangox-compat.i686 0.0.2-6.fc23
pangox-compat.x86_64 0.0.2-6.fc23
pcre.i686 8.38-6.fc23
pixman.i686 0.34.0-1.fc23
systemd-libs.i686 222-14.fc23
xz-libs.i686 5.2.1-3.fc23
zlib.i686 1.2.8-9.fc23

Upgraded:
graphite2.x86_64 1.3.6-1.fc23 nss-softokn-freebl.x86_64 3.22.2-1.0.fc23
pcre.x86_64 8.38-6.fc23

Complete!
[root@leia Downloads]# dnf install nspluginwrapper.i686 libcanberra-gtk2.i686 adwaita-gtk2-theme.i686 PackageKit-gtk3-module.i686
Aborted (core dumped)
[root@leia Downloads]# cd
[root@leia ~]# dnf install nspluginwrapper
Aborted (core dumped)
[root@leia ~]# dnf history
Aborted (core dumped)
[

reply Reply
Ryan

Got this error when I tried to open acroread on my fedora 20 machine after installation

(acroread:3849): Gtk-WARNING **: Unable to locate theme engine in module_path: “murrine”

reply Reply
Camila

Excellent guide!! I just installed on Fedora 23 and work perfectly. Thank you :D

reply Reply
Heydenreich

Hi,

I, too, experience the warning

(acroread:4246): Gtk-WARNING **: Unable to locate theme engine in module_path: “murrine”,

However, when I try yum check gtk-murrine-engine I just get “Package gtk-murrine-engine-0.98.2-7.el7.x86_64 already installed and latest version: Nothing to do”, so the package is installed and available.

Additionally, as soon as I open the print dialouge or the preferences window acroread crashes without giving me any error code.

reply Reply
JR

Hello Heydenreich,

I have to recheck this guide on CentOS 7.

reply Reply
JR

I installed Acrobat on CentOS 7 and updated this guide. I used default CentOS 7 desktop with adwaita theme and gtk-murrine-engine is not needed, but if you need it, then install 32-bit version and try again, like:


yum install gtk-murrine-engine.i686
reply Reply
Heydenreich

Thanks for your help! Unfortunately, yum does not find the gtk-murrine-engine for i686. The system installed the x86_64 but can not find anything else. In which repository should this version be part of?

reply Reply
JR

nux-dextop repo:


yum list available |grep murrine
gtk-murrine-engine.i686                  0.98.2-4.el7                 nux-dextop
gtk-murrine-engine.x86_64                0.98.2-7.el7                 epel      
gtk-murrine-engine-debuginfo.i686        0.98.2-4.el7                 nux-dextop

Should be installed / enabled on step 3b.?

reply Reply
Heydenreich

My excuses for replying so late, but the problem at this point is, that the x86 version of the gtk-murrine-engine is already installed on the system, and if I try to install the i686 version I get a ‘multilib version problems found’ error message:

Protected multilib versions: gtk-murrine-engine-0.98.2-4.el7.i686 != gtk-murrine-engine-0.98.2-7.el7.x86_64

If I install it anyways, the MATE desktop for CentOS 7 will no longer work properly, as most graphic features of windows etc. can’t be displayed properly anymore.

reply Reply
Soumik

I tried to install Adobe Reader on my Laptop having CENTOS 7, but couldn’y able to do that. During installation I find following errors
root@localhost tmp]# yum localinstall http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-5.el7.nux.noarch.rpm
Loaded plugins: fastestmirror, langpacks
nux-dextop-release-0-5.el7.nux.noarch.rpm | 9.7 kB 00:00
Examining /var/tmp/yum-root-yWUR9g/nux-dextop-release-0-5.el7.nux.noarch.rpm: nux-dextop-release-0-5.el7.nux.noarch
/var/tmp/yum-root-yWUR9g/nux-dextop-release-0-5.el7.nux.noarch.rpm: does not update installed package.
Nothing to do
Please anybody help me

reply Reply
JR

Hi Soumik,

Looks like that you have nux-dextop already installed?

reply Reply
Andre Gompel

Hello:
could you post how to get “make xconfig” and other kernel build to work on Fedora 24, using Qt 5.x (Installed by default on /opt/Qt ) ?
Thanks a lot.

reply Reply
Adam

Anybody got this working on RHEL/CENTOS 7.3? It worked for me in 7.2, but after upgrade acroread segfaults.

reply Reply
bob morris

/opt/Adobe/Reader9/Reader/intellinux/bin/acroread: error while loading shared libraries: libmount.so.1: cannot open shared object file: No such file or directory

any ideas please

Bob

reply Reply
JR

Hi bob,

Try simply:


dnf install libmount.i686 libmount.x86_64

## OR ##

yum install libmount.i686 libmount.x86_64
reply Reply
bob morris

Hi,
Thanks for the reply.
I managed to get a clean install with no errors however when I click the icon nothing happens. Also at command line acroread does nothing
Any ideas please.
Regards Bob

reply Reply
panina

I believe there are some architecture issues on Fedora 25.
Following this guide, acroread won’t launch, and I get no error messages. When I run `strace acroread`, I see a bunch of error messages about missing files in lib directories, eg /usr/lib/tls/i686/libnss_sss.so.2. I have no such file or directory, and the libsss_nss package I have installed is for 64 bit.
I understand dnf reads the dependencies from the downloaded rpm file and installs them automatically. However, this seems to install the 64-bit versions, and it seems the package needs a lot of 32-bit versions.
Now, my first installation of the package installed some 100 packages, so I’m no longer sure what packages that were installed, and I’m not sure what packages need to be 32-bit.

Any ideas on this?

reply Reply
Andre Gompel

This procedure was intended to work for Fedora 26… and Does NOT.
Could you please update it for Fedora 26 ?

Because Acroread has yet no good equivalent for “Advanced Search” !
Hopefully one day, otherwise excellent, Linux “Okular” makes some progress there.

Thanks for the attention.

Andre

reply Reply
JR

Hi Andre,

Yes, you are right this doesn’t work on Fedora 26. I was just testing this, but still inspecting strace output to figure out why this not work anymore. Quick fix is install CentOS 7 virtual machine and use Adobe Reader with it.

reply Reply